Subject: RE: [Sipping] Question on do not disturb indication

From: "Elwell, John" <[email-masked]>
Date: Thu, 03 Aug 2006 07:18:10 +0100

Scott,

Thanks for your response. I too like 480, but some people are telling me
that it has too many other uses, so if you want to convey a definite
indication that you are in DND they felt something else might be needed. The
chief cause of concern seems to be that RFC 3398 recommends mapping a couple
of Q.850 causes to 480 (19 no answer from user and 20 subscriber absent),
and although these both have the general meaning of user temporarily
unavailable, neither has quite the semantics of DND.

John

> -----Original Message-----
> From: Scott Lawrence [mailto:[email-masked]] 
> Sent: 02 August 2006 22:15
> To: Elwell, John
> Cc: [email-masked]
> Subject: Re: [Sipping] Question on do not disturb indication
> 
> On Wed, 2006-08-02 at 21:09 +0100, Elwell, John wrote:
> > RFC 3261 suggests the use of response code 480 Temporarily 
> Unavailable
> > for indicating do not disturb (DND), but it is not used exclusively
> > for this purpose. There are other documents (e.g., RFC 4504) that
> > suggest the use of 486 Busy Here, but again this is not 
> helpful if the
> > receiver wants to distinguish between DND and ordinary 
> busy. Presence
> > can be used to indicate this condition through the RPID 
> note element,
> > but that does not say why a particular session establishment attempt
> > has failed. What are the best practices for indicating the DND
> > condition? Does anyone see a need for an explicit indicator for this
> > purpose, e.g., a new SIP response code? 
> 
> Personally, I like 480 for this.  
> 
> If the phone wanted to be sneaky, it could just mute the ringing and
> allow the transaction to time out without explicitly 
> rejecting it.  That
> prevents the caller from being able to tell they are being 
> disregarded,
> but some users might prefer that forwarding take effect sooner and not
> like that.
> 
> The one thing that I _don't_ like to see is a 603 being used for this;
> that messes up any upstream forking.
> 
> 
> -- 
> Scott Lawrence  tel:+1-781-938-5306;ext=162 or 
> sip:[email-masked]
>   sipXpbx project coordinator - SIPfoundry    
> http://www.sipfoundry.org/sipX
>   Chief Architect             - Pingtel Corp. http://www.pingtel.com/
> 
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Peili Xu <[email-masked]>
Date: Thu, 03 Aug 2006 18:18:57 +0800

Hi John,

As my understanding, in PSTN where DND has been used for a long time, there
is no specific cause value for it. 
I do not see strong requirments in SIP network .

Peili

-----Original Message-----
From: Elwell, John [mailto:[email-masked]] 
Sent: Thursday, August 03, 2006 2:18 PM
To: Scott Lawrence
Cc: [email-masked]
Subject: RE: [Sipping] Question on do not disturb indication

Scott,

John

> allow the transaction to time out without explicitly rejecting it.  
> That prevents the caller from being able to tell they are being 
> disregarded, but some users might prefer that forwarding take effect 
> sooner and not like that.
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP Use
[email-masked] for questions on current sip Use
[email-masked] for new developments of core SIP